Deployments.ai Docs
System

List a person's security events, newest first; secret fields are withheld

GET /v1/system/principals/{principalId}/security-events · SDK listSystemPrincipalSecurityEvents · CLI deployments system people events

GET
/v1/system/principals/{principalId}/security-events

Requires platform:admin.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

principalId*string

The person's principal ID.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

cursor?string
Length1 <= length <= 4096
limit?integer
Range1 <= value <= 100

Response Body

ListSystemPrincipalSecurityEventsResponse

application/json
  1. response
items*array<>
nextCursor*|null
curl -X GET "https://example.com/v1/system/principals/string/security-events"
{  "items": [    {      "actor": {        "id": "string",        "type": "string"      },      "details": {        "property1": "string",        "property2": "string"      },      "eventType": "string",      "id": "string",      "occurredAt": "2019-08-24T14:15:22Z",      "withheldFields": [        "string"      ]    }  ],  "nextCursor": "string"}